Groovy 1.7.0

## org.codehaus.groovy.classgen
Class RuntimeIncompleteClassException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.syntax.RuntimeParserException
                          org.codehaus.groovy.classgen.RuntimeIncompleteClassException

    class RuntimeIncompleteClassException
    extends RuntimeParserException

**************************************************************************** Copyright (c) 2004 IBM Corporation and others. All rights reserved. This program and the accompanying materials are made available under the terms of the Common Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/cpl-v10.html Contributors: IBM - Initial API and implementation ****************************************************************************

Constructor Summary
`RuntimeIncompleteClassException(List classnames, ASTNode node)`

Method Summary

Methods inherited from class RuntimeParserException
throwParserException

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### RuntimeIncompleteClassException

    public RuntimeIncompleteClassException(List classnames, ASTNode node)

  param:
    classnames names of classes
  param:
    node the node containing the error

Copyright © 2003-2009 The Codehaus. All rights reserved.